Performs a full-text search across workspace entities.

GEThttps://api.awork.com/api/v1/search
GET https://api.awork.com/api/v1/search

This endpoint enables powerful full-text search capabilities across multiple types. It returns a ranked list of matching entities based on relevance and respects user permissions.

         The search functionality includes:
         - Cross-entity search across various entity types in the workspace.
         - Relevance-based scoring and ranking of results.
         - Respecting user access permissions for all returned results.
         - Customizable result filtering by entity type and status.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

searchTermstringOptional

The term to search for. Max. 50 characters. Required.

searchTypesstringOptional

Comma-separated list of types to search for, or 'all'. Supported types: task, project, user, company, comment, timeentry, timereport, file, document, tasklist, dashboardnote, thread. Users without the PM product can search only project, user, document and thread. Users without the AI product cannot search thread. Other types give no results. Thread results contain only AI threads that the user can open.

topintegerOptional
format: int32

Count of top results. Default: 20. Must be between 1 and the configured maximum (SearchMaximumResults).

includeClosedAndStuckbooleanOptional

If true, the result will include entities where the status is closed, stuck and done.

Responses

200 OK

application/json

totalCountintegerOptional
format: int64

The overall number of hits.

maxScorenumberOptional
format: double

The highest overall search score.

toparray of any or nullOptional

The best search matches accross all types ordered descending by their score.

commentHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 14 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

messagestring or nullOptional

The message of this comment.

entityTypestringOptional

Allowed: "tasks" "projects" "documents"

The type of the entity that this comment is attached to.

entityIdstringOptional
format: uuid

The id of the entity that this comment is attached to.

projectobjectOptional
Show 10 properties
idstringOptional
format: uuid

The id of this project.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

companystring or nullOptional

The company this project is for.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

isExternalbooleanOptional

Whether this project is external.

taskobjectOptional
Show 13 properties
namestring or nullOptional

The name of the task. Max allowed length: 25000 characters. Required.

idstringOptional
format: uuid

The id of the parent task.

userIdstring or nullOptional
format: uuid

The user id this task belongs to in case this is a private task.

createdBystringOptional
format: uuid

The id of the user that created this task.

projectIdstring or nullOptional
format: uuid

The id of the project this task is part of.

projectobjectOptional
Show 10 properties
idstringOptional
format: uuid

The id of this project.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

companystring or nullOptional

The company this project is for.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

isExternalbooleanOptional

Whether this project is external.

parentIdstring or nullOptional
format: uuid

The id of the parent task of this task, if this task is a subtask.

parentTaskobjectOptional
Show 5 properties
namestring or nullOptional

The name of the task. Max allowed length: 25000 characters. Required.

idstringOptional
format: uuid

The id of the parent task.

userIdstring or nullOptional
format: uuid

The user id this task belongs to in case this is a private task.

createdBystringOptional
format: uuid

The id of the user that created this task.

assigneeIdsarray of string or nullOptional

The user ids this task is assigned to.

assigneesarray of object or nullOptional

The assignees of the task.

Show 3 properties
idstringOptional
format: uuid

The assigned user's id.

firstNamestring or nullOptional

The assigned user's first name.

lastNamestring or nullOptional

The assigned user's last name.

baseTypestring or nullOptional

The base type of the task.

taskStatusobjectOptional
Show 3 properties
namestring or nullOptional

The name of the task status.

typestring or nullOptional

The general type of this task status.

iconstring or nullOptional

The icon of the task status.

isExternalbooleanOptional

Whether this task is external.

isHiddenForConnectUsersbooleanOptional
documentobjectOptional
Show 17 properties
namestring or nullOptional

The name of the document.

contentstring or nullOptional

The content of the document. This is indexed for search and highlighting but not returned in search results.

documentSpaceIdstring or nullOptional
format: uuid

The id of the document space.

documentSpaceobjectOptional
Show 6 properties
idstringOptional
format: uuid
isExternalbooleanOptional
namestring or nullOptional
workspaceAccessLevelstring or nullOptional
contributorsarray of object or nullOptional
Show 2 properties
userIdstringOptional
format: uuid
accessLevelstring or nullOptional
teamsarray of object or nullOptional
Show 2 properties
teamIdstringOptional
format: uuid
accessLevelstring or nullOptional
parentIdstring or nullOptional
format: uuid

The id of the document's parent document.

emojistring or nullOptional

The emoji of the document.

projectIdstring or nullOptional
format: uuid

The id of the project this document references.

projectobjectOptional
Show 10 properties
idstringOptional
format: uuid

The id of this project.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

companystring or nullOptional

The company this project is for.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

isExternalbooleanOptional

Whether this project is external.

isPrivatebooleanOptional

Whether the document is private.

isExternalbooleanOptional

Whether the document belongs to an external project.

isHiddenForConnectUsersbooleanOptional

Whether the document is hidden for connect users.

contributorsarray of object or nullOptional

The contributors of this document.

Show 5 properties
userIdstringOptional
format: uuid
accessLevelstring or nullOptional
documentIdstringOptional
format: uuid
inheritedFromDocumentContributorIdstring or nullOptional
format: uuid
inheritedDocumentContributorobjectOptional
Show 2 properties
documentIdstringOptional
format: uuid
accessLevelstring or nullOptional
teamsarray of object or nullOptional

The teams this document is connected to.

Show 5 properties
teamIdstringOptional
format: uuid
accessLevelstring or nullOptional
documentIdstringOptional
format: uuid
inheritedFromDocumentToTeamIdstring or nullOptional
format: uuid
inheritedDocumentToTeamobjectOptional
Show 2 properties
documentIdstringOptional
format: uuid
accessLevelstring or nullOptional
workspaceAccessLevelstring or nullOptional

Determines the level of access to this document granted to all workspace users. Can be either not set (no access), read, or manage.

inheritedWorkspaceAccessFromDocumentIdstring or nullOptional
format: uuid

The id of the document the workspace access level permission has been inherited from.

inheritedWorkspaceAccessFromDocumentobjectOptional
Show 1 properties
workspaceAccessLevelstring or nullOptional
rootDocumentCreatedBystringOptional
format: uuid

The user id of the creator of the root document of this document's document tree.

isExternalbooleanOptional

Whether this comment is external.

userIdstring or nullOptional
format: uuid

The id of the user who created this comment.

isHiddenForConnectUsersbooleanOptional

Whether this comment is hidden for connect users.

isResolvedboolean or nullOptional

Whether the comment has been resolved. Only available for comments on documents.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

companyHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 9 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

namestring or nullOptional

The company name.

industrystring or nullOptional

The company's industry. Optional.

tagsarray of string or nullOptional

The tags of the company.

companyContactInfosarray of object or nullOptional

The contact infos of this company.

Show 11 properties
idstringOptional
format: uuid

The id of this contact info.

valuestring or nullOptional

The value of the contact info.

typestring or nullOptional

The type of the contact info. Possible values are: 'phone', 'email', 'address', 'custom'.

subTypestring or nullOptional

The subtype of the contact info, Possible values are: phone: [ 'central', 'other' ] email: [ 'central', 'invoice', 'other' ] address: [ 'central', 'invoice', 'other' ] url: [ 'primary', 'other']

isAddressbooleanOptional

Flags whether this contact info is an address. If it's an address, the address fields are required.

addressLine1string or nullOptional

The first address line of the contact info.

addressLine2string or nullOptional

The second address line of the contact info.

zipCodestring or nullOptional

The zipcode of the contact info.

citystring or nullOptional

The city of the contact info.

statestring or nullOptional

The state of the contact info.

countrystring or nullOptional

The 2 letter iso code of the country.

hasImageboolean or nullOptional

Whether the user has an image.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

dashboardNotesHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 7 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

namestring or nullOptional

The name of the dashboard widget note.

notestring or nullOptional

The note of the dashboard widget note.

userIdstringOptional
format: uuid

The id of the user the dashboard note belongs to.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

projectHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 24 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

projectKeystring or nullOptional

The unique project key within the workspace (e.g., "NIKE"). Maximum 32 characters, uppercase letters, numbers, and dashes only.

descriptionstring or nullOptional

The description of the project. Max allowed length: 25000 characters.

projectTypeIdstring or nullOptional
format: uuid

The id of the project type of this project.

projectStatusIdstringOptional
format: uuid

The id of the project status.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isOpenbooleanOptional

Whether this project is not closed.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

tagsarray of string or nullOptional

The tags of this project.

plannedDurationinteger or nullOptional
format: int64

The total planned time of the project, in seconds. The time is calculated as te sum of the planned duration by all project tasks.

dueDatestring or nullOptional
format: date-time

The due date of the project.

startDatestring or nullOptional
format: date-time

The start date of the project.

companyobjectOptional
Show 9 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

namestring or nullOptional

The company name.

industrystring or nullOptional

The company's industry. Optional.

tagsarray of string or nullOptional

The tags of the company.

companyContactInfosarray of object or nullOptional

The contact infos of this company.

Show 11 properties
idstringOptional
format: uuid

The id of this contact info.

valuestring or nullOptional

The value of the contact info.

typestring or nullOptional

The type of the contact info. Possible values are: 'phone', 'email', 'address', 'custom'.

subTypestring or nullOptional

The subtype of the contact info, Possible values are: phone: [ 'central', 'other' ] email: [ 'central', 'invoice', 'other' ] address: [ 'central', 'invoice', 'other' ] url: [ 'primary', 'other']

isAddressbooleanOptional

Flags whether this contact info is an address. If it's an address, the address fields are required.

addressLine1string or nullOptional

The first address line of the contact info.

addressLine2string or nullOptional

The second address line of the contact info.

zipCodestring or nullOptional

The zipcode of the contact info.

citystring or nullOptional

The city of the contact info.

statestring or nullOptional

The state of the contact info.

countrystring or nullOptional

The 2 letter iso code of the country.

hasImageboolean or nullOptional

Whether the user has an image.

projectTypeobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of the type.

namestring or nullOptional

The name of the project type.

iconstring or nullOptional

The identifier of the project type icon.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

hasImageboolean or nullOptional

Whether the project has an image.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

isExternalbooleanOptional

Whether this project is external.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

taskHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 28 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

namestring or nullOptional

The name of the task. Max allowed length: 25000 characters. Required.

taskIdentifierstring or nullOptional

The full task identifier combining project key and task number (e.g., "NIKE-42").

descriptionstring or nullOptional

The description of the task. Max allowed length: 25000 characters.

baseTypestring or nullOptional

The base type of the task.

assigneesarray of object or nullOptional

The assignees of the task.

Show 3 properties
idstringOptional
format: uuid

The assigned user's id.

firstNamestring or nullOptional

The assigned user's first name.

lastNamestring or nullOptional

The assigned user's last name.

tagsarray of string or nullOptional

The tags of this task.

listsarray of string or nullOptional

The task lists this task is in.

isPrioboolean or nullOptional

Whether this task is marked as priority.

isOpenbooleanOptional

Whether this task is open.

plannedDurationinteger or nullOptional
format: int32

The expected planned workload of the task, in seconds.

startOnstring or nullOptional
format: date-time

The expected start date and time of the task.

dueOnstring or nullOptional
format: date-time

The expected due date and time of the task.

taskStatusobjectOptional
Show 3 properties
namestring or nullOptional

The name of the task status.

typestring or nullOptional

The general type of this task status.

iconstring or nullOptional

The icon of the task status.

typeOfWorkobjectOptional
Show 1 properties
namestring or nullOptional

The name of the type of work.

projectIdstring or nullOptional
format: uuid

The id of the project this task is part of.

projectobjectOptional
Show 10 properties
idstringOptional
format: uuid

The id of this project.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

companystring or nullOptional

The company this project is for.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

isExternalbooleanOptional

Whether this project is external.

parentIdstring or nullOptional
format: uuid

The id of the parent task of this task, if this task is a subtask.

parentTaskobjectOptional
Show 5 properties
namestring or nullOptional

The name of the task. Max allowed length: 25000 characters. Required.

idstringOptional
format: uuid

The id of the parent task.

userIdstring or nullOptional
format: uuid

The user id this task belongs to in case this is a private task.

createdBystringOptional
format: uuid

The id of the user that created this task.

assigneeIdsarray of string or nullOptional

The user ids this task is assigned to.

correlationIdstringOptional
format: uuid

The correlation id of this task.

subtaskOrdernumber or nullOptional
format: double

The order of this subtask in the parent task, if this task is a subtask.

userIdstring or nullOptional
format: uuid

The user id this task belongs to in case this is a private task.

createdBystringOptional
format: uuid

The id of the user that created this task.

isExternalbooleanOptional

Whether this task is external.

isHiddenForConnectUsersbooleanOptional

Whether this task should be hidden for connected users.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

timeEntriesHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 16 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

notestring or nullOptional

The note of the time tracking.

taskIdstring or nullOptional
format: uuid

The id of the task this time entry belongs to.

projectIdstring or nullOptional
format: uuid

The id of the project this time entry belongs to.

projectobjectOptional
Show 10 properties
idstringOptional
format: uuid

The id of this project.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

companystring or nullOptional

The company this project is for.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

isExternalbooleanOptional

Whether this project is external.

userIdstring or nullOptional
format: uuid

The id of the user this time entry belongs to.

startDateUtcstring or nullOptional
format: date-time

The date and time (in UTC) when the time tracking was started.

startTimeUtcstring or nullOptional

The time (in UTC) when the time tracking was started.

timezonestring or nullOptional

The original timezone of the time tracking. The format of the timezone is the IANA standard.

durationinteger or nullOptional
format: int32

The duration of the time tracking in seconds. Required when the time tracking has already been completed and EndTime has not been set.

breakDurationinteger or nullOptional
format: int32

The duration of the break in seconds. Cannot be set via API.

isExternalbooleanOptional

Whether this time entry is external.

isBilledbooleanOptional

Whether this time entry is billed.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

timeReportsHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 7 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

namestring or nullOptional

The name of the time report.

sharedbooleanOptional

Whether the time report is shared with other users.

userIdstringOptional
format: uuid

The id of the user that created the time report.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

userHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 15 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

firstNamestring or nullOptional

The user's first name.

lastNamestring or nullOptional

The user's last name.

titlestring or nullOptional

The user's title.

positionstring or nullOptional

The user's position.

languagestring or nullOptional

The user's language.

genderstring or nullOptional

The user's gender.

tagsarray of string or nullOptional

The tags of this user.

teamsarray of object or nullOptional

The teams of this user.

Show 4 properties
idstringOptional
format: uuid

The id of the team.

namestring or nullOptional

The name of the team.

iconstring or nullOptional

The icon which is assigned to the team.

colorstring or nullOptional

The color of the team.

userContactInfosarray of object or nullOptional

The contact infos of this user.

Show 11 properties
idstringOptional
format: uuid

The id of this contact info.

valuestring or nullOptional

The value of the contact info.

typestring or nullOptional

The type of the contact info. Possible values are: 'phone', 'email', 'address', 'custom'.

subTypestring or nullOptional

The subtype of the contact info, Possible values are: phone: [ 'central', 'other' ] email: [ 'central', 'invoice', 'other' ] address: [ 'central', 'invoice', 'other' ] url: [ 'primary', 'other']

isAddressbooleanOptional

Flags whether this contact info is an address. If it's an address, the address fields are required.

addressLine1string or nullOptional

The first address line of the contact info.

addressLine2string or nullOptional

The second address line of the contact info.

zipCodestring or nullOptional

The zipcode of the contact info.

citystring or nullOptional

The city of the contact info.

statestring or nullOptional

The state of the contact info.

countrystring or nullOptional

The 2 letter iso code of the country.

hasImageboolean or nullOptional
isDeactivatedboolean or nullOptional
highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

taskListHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 7 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

namestring or nullOptional

The name of the task list.

projectobjectOptional
Show 10 properties
idstringOptional
format: uuid

The id of this project.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

companystring or nullOptional

The company this project is for.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

isExternalbooleanOptional

Whether this project is external.

isExternalbooleanOptional

Whether this task list is external.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

fileHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 12 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

namestring or nullOptional

The name of the file.

createdBystringOptional
format: uuid

The id of the user that has created the file.

entityTypestring or nullOptional

The type of the entity that this file is attached to.

entityIdstringOptional
format: uuid

The id of the entity that this file is attached to.

projectobjectOptional
Show 10 properties
idstringOptional
format: uuid

The id of this project.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

companystring or nullOptional

The company this project is for.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

isExternalbooleanOptional

Whether this project is external.

taskobjectOptional
Show 13 properties
namestring or nullOptional

The name of the task. Max allowed length: 25000 characters. Required.

idstringOptional
format: uuid

The id of the parent task.

userIdstring or nullOptional
format: uuid

The user id this task belongs to in case this is a private task.

createdBystringOptional
format: uuid

The id of the user that created this task.

projectIdstring or nullOptional
format: uuid

The id of the project this task is part of.

projectobjectOptional
Show 10 properties
idstringOptional
format: uuid

The id of this project.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

companystring or nullOptional

The company this project is for.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

isExternalbooleanOptional

Whether this project is external.

parentIdstring or nullOptional
format: uuid

The id of the parent task of this task, if this task is a subtask.

parentTaskobjectOptional
Show 5 properties
namestring or nullOptional

The name of the task. Max allowed length: 25000 characters. Required.

idstringOptional
format: uuid

The id of the parent task.

userIdstring or nullOptional
format: uuid

The user id this task belongs to in case this is a private task.

createdBystringOptional
format: uuid

The id of the user that created this task.

assigneeIdsarray of string or nullOptional

The user ids this task is assigned to.

assigneesarray of object or nullOptional

The assignees of the task.

Show 3 properties
idstringOptional
format: uuid

The assigned user's id.

firstNamestring or nullOptional

The assigned user's first name.

lastNamestring or nullOptional

The assigned user's last name.

baseTypestring or nullOptional

The base type of the task.

taskStatusobjectOptional
Show 3 properties
namestring or nullOptional

The name of the task status.

typestring or nullOptional

The general type of this task status.

iconstring or nullOptional

The icon of the task status.

isExternalbooleanOptional

Whether this task is external.

isHiddenForConnectUsersbooleanOptional
isExternalbooleanOptional

Whether this file is external.

isHiddenForConnectUsersbooleanOptional

Whether this comment is hidden for connect users.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

documentHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional
Show 21 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

namestring or nullOptional

The name of the document.

contentstring or nullOptional

The content of the document. This is indexed for search and highlighting but not returned in search results.

documentSpaceIdstring or nullOptional
format: uuid

The id of the document space.

documentSpaceobjectOptional
Show 6 properties
idstringOptional
format: uuid
isExternalbooleanOptional
namestring or nullOptional
workspaceAccessLevelstring or nullOptional
contributorsarray of object or nullOptional
Show 2 properties
userIdstringOptional
format: uuid
accessLevelstring or nullOptional
teamsarray of object or nullOptional
Show 2 properties
teamIdstringOptional
format: uuid
accessLevelstring or nullOptional
parentIdstring or nullOptional
format: uuid

The id of the document's parent document.

emojistring or nullOptional

The emoji of the document.

projectIdstring or nullOptional
format: uuid

The id of the project this document references.

projectobjectOptional
Show 10 properties
idstringOptional
format: uuid

The id of this project.

namestring or nullOptional

The name of the Project. Required. Max allowed length: 25000 characters.

companystring or nullOptional

The company this project is for.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectStatusobjectOptional
Show 3 properties
idstringOptional
format: uuid

The id of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

createdBystringOptional
format: uuid

The id of the user that created this project.

teamsarray of object or nullOptional

The teams this project belongs to.

Show 2 properties
idstringOptional
format: uuid

The id of this team.

namestring or nullOptional

The name of the team.

membersarray of object or nullOptional

The members of this project.

Show 7 properties
idstringOptional
format: uuid

The id of this project member.

userIdstringOptional
format: uuid

The id of the user that is member of this project.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

projectRoleNamestring or nullOptional

The project role name of the project member.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The id of the project role.

isExternalbooleanOptional

Whether this project is external.

isPrivatebooleanOptional

Whether the document is private.

isExternalbooleanOptional

Whether the document belongs to an external project.

isHiddenForConnectUsersbooleanOptional

Whether the document is hidden for connect users.

contributorsarray of object or nullOptional

The contributors of this document.

Show 5 properties
userIdstringOptional
format: uuid
accessLevelstring or nullOptional
documentIdstringOptional
format: uuid
inheritedFromDocumentContributorIdstring or nullOptional
format: uuid
inheritedDocumentContributorobjectOptional
Show 2 properties
documentIdstringOptional
format: uuid
accessLevelstring or nullOptional
teamsarray of object or nullOptional

The teams this document is connected to.

Show 5 properties
teamIdstringOptional
format: uuid
accessLevelstring or nullOptional
documentIdstringOptional
format: uuid
inheritedFromDocumentToTeamIdstring or nullOptional
format: uuid
inheritedDocumentToTeamobjectOptional
Show 2 properties
documentIdstringOptional
format: uuid
accessLevelstring or nullOptional
workspaceAccessLevelstring or nullOptional

Determines the level of access to this document granted to all workspace users. Can be either not set (no access), read, or manage.

inheritedWorkspaceAccessFromDocumentIdstring or nullOptional
format: uuid

The id of the document the workspace access level permission has been inherited from.

inheritedWorkspaceAccessFromDocumentobjectOptional
Show 1 properties
workspaceAccessLevelstring or nullOptional
rootDocumentCreatedBystringOptional
format: uuid
highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

threadHitsobjectOptional
Show 4 properties
totalCountintegerOptional
format: int64

The count of search hits for this type.

maxScorenumberOptional
format: double

The score of the best search hit for this type.

hitsarray of object or nullOptional

The results found by this search operation for this type.

Show 4 properties
typestring or nullOptional

The name of the type for this search hit.

scorenumberOptional
format: double

The score of this search hit.

entityobjectOptional

An AI thread in the search index. Only top-level personal and custom agent threads are indexed.

Show 18 properties
idstringOptional
format: uuid

The id of this entity.

workspaceIdstringOptional
format: uuid

The workspace id of this entity.

userStatsarray of object or nullOptional

The current user's access stats for this entity.

Show 3 properties
userIdstringOptional
format: uuid

The id of the user that accessed this entity.

openCountintegerOptional
format: int32

How many times the user accessed this entity.

lastOpenedinteger or nullOptional
format: int64

The unix time of when the entity was last accessed by the user.

indexTimestringOptional
format: date-time

The last time this entity has been indexed.

titlestring or nullOptional

The title of the thread.

userIdstringOptional
format: uuid

The owner of the thread.

threadTypestring or nullOptional

The thread type.

agentIdstring or nullOptional
format: uuid

The agent of a custom agent thread.

parentThreadIdstring or nullOptional
format: uuid

The parent thread. Always empty for indexed threads.

delegationIdstring or nullOptional
format: uuid

The delegation that started the thread.

scheduleIdstring or nullOptional
format: uuid

The schedule that started the thread.

projectIdstring or nullOptional
format: uuid

The project context of the thread.

taskIdstring or nullOptional
format: uuid

The task context of the thread.

hasContextbooleanOptional

Whether the thread has a project or task context.

createdOnstring or nullOptional
format: date-time

When the thread was created.

lastActivityOnstring or nullOptional
format: date-time

When the thread had its last activity.

sharesarray of object or nullOptional

The direct shares of the thread.

Show 3 properties
targetTypestring or nullOptional

The share target type: user, team or workspace.

targetIdstringOptional
format: uuid

The user, team or workspace that gets access.

canWritebooleanOptional

Whether the target can write in the thread.

shareTargetIdsarray of string or nullOptional

The users, teams and workspaces from the shares. The search query filters on them.

highlightsobject or nullOptional

The highlights of this search hit, by property.

Show schema

object or null

Additional properties

array of string or null

hasHitsbooleanOptional

Whether there are any hits at all, computed property.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation